Site
Site
Overview
CleanPipe Protection Site API
Version information
Version : 1.0.0.BETA
License information
Terms of service : https://www.nexusguard.com/
URI scheme
Host : {your_basic_domain}
BasePath : /api
Schemes : HTTPS
Paths
List mitigation group profiles.
GET /specp/cp/mitigation_group_profiles
Description
Returns available mitigation group profiles used when creating or configuring CleanPipe Protection sites.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
API access token for authentication. | string |
| Query | ip_type optional |
IP address family for the site: ipv4 or ipv6. Default: ipv4. |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Array of mitigation group profiles. | < result > array |
| Name | Description | Schema |
|---|---|---|
| profile_id optional |
Unique ID of the mitigation group profile. | integer |
| profile_name optional |
Display name of the mitigation group profile. | string |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
List service plans.
GET /specp/cp/service_plan
Description
Returns available service plans (e.g., Basic, Enterprise) for CleanPipe Protection sites.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Available service plan names (e.g., Basic, Enterprise, Premium). | < string > array |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Create CleanPipe Protection site.
POST /specp/cp/site
Description
Creates a new CleanPipe Protection site with the given name, CIDR ranges, and mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
API access token for authentication. | string |
| Body | site optional |
Site creation payload: name, optional description, CIDR ranges, and mitigation profile. | site |
| Name | Description | Schema |
|---|---|---|
| cidr required |
Protected IP ranges in CIDR notation (e.g., 192.168.1.0/24). | < string > array |
| ip_type optional |
IP address family for the site: ipv4 or ipv6. Default: ipv4. |
string |
| mitigation_group_profile_id required |
ID of the mitigation group profile to apply to this site. Can be obtained by invoking this API for mitigation_group_profile_id. | integer |
| site_desc optional |
Optional site description. Maximum length: 512 characters. | string |
| site_name required |
Site name. Allowed characters: letters, numbers, and underscores. Length: 2–32 characters. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
object | |
| site_id optional |
Unique identifier of the created site. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get site details.
GET /specp/cp/site/{site_id}
Description
Returns details of a single CleanPipe Protection site by site ID.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site.Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Site details. | result |
| Name | Description | Schema |
|---|---|---|
| cidr optional |
Protected IP ranges in CIDR notation (e.g., 192.168.1.0/24). | < string > array |
| ip_type optional |
IP address family for the site: ipv4 or ipv6. |
string |
| mitigation_group_profile_id optional |
ID of the mitigation group profile to apply to this site. | integer |
| service_plan optional |
Service plan the client has subscribed to. | string |
| site_desc optional |
Optional description of the site. Maximum length: 512 characters. | string |
| site_name optional |
Site name. Allowed characters: letters, numbers, and underscores. Range length: 2-32 characters. | string |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update CleanPipe Protection site.
PUT /specp/cp/site/{site_id}
Description
Updates an existing site’s description, CIDR ranges, or mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | site optional |
Fields to update: description, CIDR list, or mitigation profile ID. | site |
| Name | Description | Schema |
|---|---|---|
| cidr optional |
Protected IP ranges in CIDR notation (e.g. 192.168.1.0/24). | < string > array |
| mitigation_group_profile_id optional |
ID of the mitigation group profile to apply to this site. Obtain from the mitigation profile list API. | integer |
| site_desc optional |
Optional site description. Length: 0–512 characters. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| site_id optional |
Unique identifier of the site. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete CleanPipe Protection site.
DELETE /specp/cp/site/{site_id}
Description
Permanently deletes a CleanPipe Protection site by site ID.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site.Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Create host.
POST /specp/cp/site/{site_id}/host
Description
Creates a new host under a CleanPipe Protection site with the given name and protected IP/CIDR ranges.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | host optional |
Host information. | host |
| Name | Description | Schema |
|---|---|---|
| cidr required |
Protected IP ranges in CIDR notation (e.g., 192.168.1.0/24). | < string > array |
| host_desc optional |
Optional host description. Maximum length: 512 characters. | string |
| host_name required |
Host name. Allowed characters: letters, numbers, and underscores. Length: 2–32 characters. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| host_id optional |
Unique identifier of the created host. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get host details.
GET /specp/cp/site/{site_id}/host/{host_id}
Description
Returns details of a single host by site ID and host ID.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Unique identifier of a host.Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Unique identifier of a site.Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Host details. | result |
| Name | Description | Schema |
|---|---|---|
| cidr optional |
Protected IP ranges in CIDR notation (e.g., 192.168.1.0/24). | < string > array |
| host_desc optional |
Description of the host. | string |
| host_name optional |
Host name. Allowed characters: letters, numbers, and underscores. Range length: 2-32 characters. | string |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update host.
PUT /specp/cp/site/{site_id}/host/{host_id}
Description
Updates an existing host’s description or protected CIDR ranges.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Unique identifier of a host.Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Unique identifier of a site.Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | host optional |
Host information to update. | host |
| Name | Description | Schema |
|---|---|---|
| cidr optional |
Protected IP ranges in CIDR notation (e.g., 192.168.1.0/24). | < string > array |
| host_desc optional |
Optional host description. Range length: 2-32 characters. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| host_id optional |
Unique identifier of the host. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete host.
DELETE /specp/cp/site/{site_id}/host/{host_id}
Description
Permanently deletes a host by site ID and host ID.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Unique identifier of a host.Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Unique identifier of a site.Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
List hosts for site.
GET /specp/cp/site/{site_id}/hosts
Description
Returns the list of hosts belonging to the specified site.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Unique identifier of a site. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
List of hosts. | < object > array |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
List sites for customer.
GET /specp/cp/sites
Description
Returns all CleanPipe Protection sites for the authenticated customer (Customer ID is implied by the access token).
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
List of CleanPipe Protection sites associated with the authenticated customer. | < result > array |
| Name | Description | Schema |
|---|---|---|
| cidr optional |
Protected IP ranges in CIDR notation (e.g., 192.168.1.0/24). | < string > array |
| service_plan optional |
Service plan the client has subscribed to. | string |
| site_desc optional |
Description of the site. | string |
| site_id optional |
Unique identifier of the site. | string |
| site_name optional |
Name of the site. | string |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Definitions
Result
The returned result.
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Security
ApiKeyAuth
Type : apiKey
Name : access_token
In : QUERY